**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/25.3/documents/document-renditions/replace-document-rendition

# Replace Document Rendition

<Endpoint path="/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}" method="PUT" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

#### File Upload

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/renditions/imported_rendition__c
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault replaces the rendition of the given type from the latest version of the document.

---

**Previous:** [Update Multiple Document Renditions](/medical/vault-api/api-reference/25.3/documents/document-renditions/update-multiple-document-renditions)  
**Next:** [Replace Document Version Rendition](/medical/vault-api/api-reference/25.3/documents/document-renditions/replace-document-version-rendition)